CGAL 6.1.2 - Shape Detection: CGAL::Shape_detection::Efficient_RANSAC_traits< Gt, InputRange, InputPointMap, InputNormalMap > Struct Template Reference

CGAL 6.1.2 - Shape Detection

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions
CGAL::Shape_detection::Efficient_RANSAC_traits< Gt, InputRange, InputPointMap, InputNormalMap > Struct Template Reference
Reference Manual » Efficient RANSAC

`#include <CGAL/Shape_detection/Efficient_RANSAC/Efficient_RANSAC_traits.h>`

## Definition

template<class Gt, class InputRange, class InputPointMap, class InputNormalMap>
struct CGAL::Shape_detection::Efficient_RANSAC_traits< Gt, InputRange, InputPointMap, InputNormalMap >

Default traits class for the `CGAL::Shape_detection::Efficient_RANSAC`.

Is model of
  `EfficientRANSACTraits`

Template Parameters

  Gt | must be a model of the concept `Kernel` with `Gt::FT` being `float` or `double`.
  InputRange | must be a model of `Range` with random access iterators, providing input points and normals through the following property maps.
  InputPointMap | must be a model of `ReadablePropertyMap` with `std::iterator_traits<Input_range::iterator>::value_type` as key type and `Geom_traits::Point_3` as value type.
  InputNormalMap | must be a model of `ReadablePropertyMap` with `std::iterator_traits<Input_range::iterator>::value_type` as key type and `Geom_traits::Vector_3` as value type.

Examples
  Shape_detection/efficient_RANSAC_basic.cpp, Shape_detection/efficient_RANSAC_with_callback.cpp, Shape_detection/efficient_RANSAC_with_custom_shape.cpp, Shape_detection/efficient_RANSAC_with_parameters.cpp, and Shape_detection/efficient_RANSAC_with_point_access.cpp.

## Public Types
typedef Gt | GeomTraits
typedef Gt::FT | FT
typedef Gt::Point_3 | Point_3
typedef Gt::Vector_3 | Vector_3
typedef Gt::Sphere_3 | Sphere_3
typedef Gt::Segment_3 | Segment_3
typedef Gt::Line_3 | Line_3
typedef Gt::Circle_2 | Circle_2
typedef Gt::Plane_3 | Plane_3
typedef Gt::Point_2 | Point_2
typedef Gt::Vector_2 | Vector_2
typedef InputRange | Input_range
typedef InputPointMap | Point_map
typedef InputNormalMap | Normal_map
typedef CGAL::Search_traits_3< Gt > | Search_traits
typedef Gt::Construct_point_3 | Construct_point_3
typedef Gt::Construct_vector_3 | Construct_vector_3
typedef Gt::Construct_point_2 | Construct_point_2
typedef Gt::Construct_vector_2 | Construct_vector_2
typedef Gt::Construct_sphere_3 | Construct_sphere_3
typedef Gt::Construct_line_3 | Construct_line_3
typedef Gt::Construct_circle_2 | Construct_circle_2
typedef Gt::Construct_point_on_3 | Construct_point_on_3
typedef Gt::Compute_x_2 | Compute_x_2
typedef Gt::Compute_y_2 | Compute_y_2
typedef Gt::Compute_x_3 | Compute_x_3
typedef Gt::Compute_y_3 | Compute_y_3
typedef Gt::Compute_z_3 | Compute_z_3
typedef Gt::Compute_squared_length_3 | Compute_squared_length_3
typedef Gt::Compute_squared_length_2 | Compute_squared_length_2
typedef Gt::Construct_scaled_vector_3 | Construct_scaled_vector_3
typedef Gt::Construct_sum_of_vectors_3 | Construct_sum_of_vectors_3
typedef Gt::Construct_translated_point_3 | Construct_translated_point_3
typedef Gt::Compute_scalar_product_3 | Compute_scalar_product_3
typedef Gt::Construct_cross_product_vector_3 | Construct_cross_product_vector_3
typedef Gt::Construct_center_3 | Construct_center_3
typedef Gt::Construct_center_2 | Construct_center_2
typedef Gt::Compute_squared_radius_3 | Compute_squared_radius_3
typedef Gt::Compute_squared_radius_2 | Compute_squared_radius_2
typedef Gt::Collinear_2 | Collinear_2
typedef Gt::Intersect_3 | Intersect_3

## Public Member Functions
| Efficient_RANSAC_traits (const Gt &gt=Gt())
Construct_point_3 | construct_point_3_object () const
Construct_vector_3 | construct_vector_3_object () const
Construct_point_2 | construct_point_2_object () const
Construct_vector_2 | construct_vector_2_object () const
Construct_sphere_3 | construct_sphere_3_object () const
Construct_line_3 | construct_line_3_object () const
Construct_circle_2 | construct_circle_2_object () const
Construct_point_on_3 | construct_point_on_3_object () const
Compute_x_2 | compute_x_2_object () const
Compute_y_2 | compute_y_2_object () const
Compute_x_3 | compute_x_3_object () const
Compute_y_3 | compute_y_3_object () const
Compute_z_3 | compute_z_3_object () const
Compute_squared_length_3 | compute_squared_length_3_object () const
Compute_squared_length_2 | compute_squared_length_2_object () const
Construct_scaled_vector_3 | construct_scaled_vector_3_object () const
Construct_sum_of_vectors_3 | construct_sum_of_vectors_3_object () const
Construct_translated_point_3 | construct_translated_point_3_object () const
Compute_scalar_product_3 | compute_scalar_product_3_object () const
Construct_cross_product_vector_3 | construct_cross_product_vector_3_object () const
Construct_center_3 | construct_center_3_object () const
Construct_center_2 | construct_center_2_object () const
Compute_squared_radius_3 | compute_squared_radius_3_object () const
Compute_squared_radius_2 | compute_squared_radius_2_object () const
Collinear_2 | collinear_2_object () const
Intersect_3 | intersection_3_object () const